Subject: bug#6069: INTMASK on 32/64 bit machines

From: David Reitter <[email-masked]>
Date: Fri, 30 Apr 2010 22:31:17 -0400

I have one post-scriptum.

I just noticed that the large `sxhash' integer was produced on a 64-bit machine with INTMASK 0xffffffff,
but that the read failure occurred with a binary compiled for 32-bit architectures.  In that Emacs, INTMASK is 0x3fffffff.

I think that explains what I'm seeing.

Would it be sensible to make `sxhash' use a lower common denominator for modern machines, such as 0x3fffffff?

Or, should the lower INTMASK be used on 64-bit architectures as well?

It's less than ideal that printed Lisp expressions, especially those in customization files, are not interchangeable between different builds of the same version of Emacs.